<template>
    <div>
        <div class="edit_link" v-show="auth_check">
        <span @click="moveToProductEdit()">Edit</span>
        </div>
        <h1 class="d-none d-lg-block d-md-none">{{ product.name }}</h1>
        <div class="short-product_description ">
        <div class="text-truncate-vertical" v-html="product.description"></div>
            <p><a href="#products-description">Read more</a></p>
        </div>
    </div>
</template>
<script>
import options from '~/assets/options';
export default {
    props : ['product'],
    data() {
        return  {
            options     : options,
            auth_check  : Boolean(this.$store.state.front_end_data.auth_check),
        }
    },
    mounted() {
        let product_details = [{
            item_name: this.product.name,
            item_id: this.product.id,
            item_sku: this.product.model_number,
            price: (this.product.retail_price * 1).toFixed(2),
            item_category: (this.product.default_category != null) ? this.product.default_category.name : ""
        }]
        productSelection(product_details, 'select_item');
    },
    methods: {
        moveToProductEdit() {
            window.open(options.API_URL+'/admin/product/'+this.product.id);
        },
    },
}
</script>